// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function dynpeak_batch_handler(win,x,y,ibut)
  if ibut<0 then return, end
  fig=get_figure_handle(win);
  fig.event_handler_enable = "off";
  if or(ibut==0) then
    scf(win)
    a=gca();ud=a.user_data;
    rect=ud.rect
    rb=rect.data
    T=ud.T;LH=ud.LH;
    dT=(T($)-T(1))/30;
    x1=rb(1);
    x2=rb(1)+rb(3);
    rep(3)=0
    [x,y]=xchange(x,y,'i2f');
    if abs(x-x1)<dT then
      while rep(3)<>-5
        rep=xgetmouse([%t,%t]);
        dx=x-rep(1);
        x=rep(1);
        rect.data([1 3])=[x max(1,rect.data(3)+dx)];
      end
    elseif abs(x-x2)<dT then
      while rep(3)<>-5
        rep=xgetmouse([%t,%t]);
        rect.data(3)=max(1,rep(1)-rect.data(1));
      end
    end
  end
  fig.event_handler_enable = "on";
endfunction
