// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA  - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function dynpeak_context_help
  key=gcbo.tag
  select key
  case "Detection threshold"
    help("lhpeaks_settings_localabstol")
  case "Variation Coefficient"
    help("lhpeaks_settings_uncertainty")
  case "Nominal peaks period"
    help("lhpeaks_settings_period")
  case "Global relative threshold"
    help("lhpeaks_settings_globalreltol")
  case "Three point threshold"
    help("lhpeaks_settings_threepointtol")
  end
endfunction
