function f=dynpeak_smooth_IPI(IPI,nord,w)
  N=size(IPI,'*')
  x=(1:N)';
  x = x-mean(x);
  order=min(3,N-3);
  if order>=1 then
    if argn(2)<3 then
      p = polyfit(x,IPI,order);
    else
      p = polyfit(x,IPI,order,w);
    end
    p=poly(p($:-1:1),'x','c');
    f= horner(p,x);
  else
    f=IPI
  end
endfunction
