// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function p=lhpeak_default_params()
  p=struct("detectionthreshold",0,...
           "globalreltol",0.20,...
           "localabstol",0.1,...
           "threepointtol",0.10,...
           "uncertainty",[0,1000;0 0],...
           "period",40,...
           "imposedpeaks",[],...
           "ignoredpoints",[],...
           "selection",[])
endfunction
