mode(-1)
// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

fname="GreleraieCows.sce";
datapath = get_absolute_file_path(fname);

Sheets=readxls(datapath+"DATA/Profils_Endocriniens_Vaches_Greleraie.xls');

datanames=[];V=[];
for k=1:8
  data=Sheets(k).value(3:88,[1 3])
  V(k).name=Sheets(k).name;
  V(k).T=data(:,1)*60;
  V(k).LH=data(:,2)
end
dynpeak_batch(_("Greleraie cows Endocrine profiles"),V)
demo_viewCode(fname);
