mode(-1)
// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

fname="LacauneEwes.sce"
datapath = get_absolute_file_path(fname);
exec(datapath+"DATA/LacauneData.sce');
B(:,[5 6])=B(:,[6 5]);
V=[];
for k=1:10
  V(k).name=_("ewe")+" "+string(k);
  V(k).T=T;
  V(k).LH=B(:,k);
end
dynpeak_batch(_("Ewes LH Pulsatility"),V)
fig=gcf();
function LacauneAbout(win,k)
  help LacauneEwes
endfunction
addmenu(fig.figure_id,_("About"),list(2,"LacauneAbout"))
