mode(-1)
// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
path=get_absolute_file_path("peaks251801gnrh.sce");
exec(path+"DATA/251801gnrh.sce");
n=size(d,2)-1;
T=d(:,1);
head=["plot 17" "plot 19" "plot 53" "plot 70" "plot 91" "plot 98" "plot 99" "plot 136" "plot 146" "plot 175"];

V=[];
for k=1:n
 V(k).name=head(k);
 V(k).T=T;
 V(k).LH=d(:,k+1);
end
p=struct("period",6,"localabstol",0.6);
dynpeak_batch("251801gnrh",V,p)

