// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function cv=CV_LH(sig,data)
  if sig==[] then cv=[],return,end
  if size(data,1)<>2 then
    error(msprintf(_("%s: Wrong size for input argument #%d: Two rows expected.\n"),"CV_lh",2))
  end
  cv=matrix(interpln(data,sig),size(sig)).*sig
endfunction
