// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function dynpeak_batch_compute(k,win)
  fig=get_figure_handle(win); 
  mainpars=fig.user_data.dynpeak;
  peakpars= mainpars.detectionparams;
   
  ax=fig.children(fig.children.type=="Axes")
  ax_ud=ax.user_data;
  T=ax_ud.T,
  LH=ax_ud.LH
  rb=ax_ud.rect.data;
  leg=""

  [w,kmin]=min(abs(T-rb(1)));kmin=max(1,kmin);
  [w,kmax]=min(abs(T-(rb(1)+rb(3))));kmax=min(size(T,'*'),kmax);

  T1=T(kmin:kmax);LH1=LH(kmin:kmax);


  view=scf(max(winsid())+1);
  interactive_lhpeaks(LH1,T1,peakpars)
endfunction
