// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function dynpeak_result_menus(k,win)
  fig=get_figure_handle(win);
  fig.event_handler_enable = "off";
  fig_ud=fig.user_data
  
  Mens=["Save","Export"];

  params=fig_ud.dynpeak

  select Mens(k)
  case "Save" then
    F=uiputfile("*","./")
    if stripblanks(F)<>"" then
      save(F,"params")
    end
  case "Export" then 
    F=uiputfile('*.xml","./")
    if stripblanks(F)<>"" then
      txt=dynpeak_create_xml(params)
      mputl(txt,F);
    end
  end
  fig.event_handler_enable = "on";
endfunction
