// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function dynpeak_settings_menus(k,win)
  fig=get_figure_handle(win);
  fig.event_handler_enable = "off";
  fig_ud=fig.user_data
  params=fig_ud.dynpeak
  ks=params.selected;
  T=params.T;
  sig=params.LH
  peak_alg_pars=params.detectionparams

  peak_alg_pars=dynpeak_query_pars(peak_alg_pars)
  fig.user_data.dynpeak.detectionparams =peak_alg_pars;
  indpeaks  = lhpeaks(sig,T, peak_alg_pars)
  dynpeak_update_graph(fig,T,sig,indpeaks)
  params.detectionparams =peak_alg_pars;
  params.indpeaks=indpeaks
  fig_ud.dynpeak=params
  set(fig,"user_data",fig_ud)
  fig.event_handler_enable = "on";
endfunction
